{
  "name": "farmmaps-lib-app",
  "version": "4.20.0",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build",
    "test": "ng test",
    "lint": "eslint -c .eslintrc.js --ext .ts",
    "e2e": "ng e2e"
  },
  "private": true,
  "dependencies": {
    "@angular-eslint/eslint-plugin": "20.7.0",
    "@angular/animations": "21.1.0",
    "@angular/common": "21.1.0",
    "@angular/compiler": "21.1.0",
    "@angular/core": "21.1.0",
    "@angular/forms": "21.1.0",
    "@angular/platform-browser": "21.1.0",
    "@angular/platform-browser-dynamic": "21.1.0",
    "@angular/router": "21.1.0",
    "@farmmaps/common": "file:dist/common",
    "@farmmaps/common-map": "file:dist/common-map",
    "@farmmaps/common-map3d": "file:dist/common-map3d",
    "@farmmaps/ng-openlayers": "file:dist/ng-openlayers",
    "@microsoft/signalr": "10.0.0",
    "@ng-bootstrap/ng-bootstrap": "20.0.0",
    "@ngrx/effects": "21.0.1",
    "@ngrx/router-store": "21.0.1",
    "@ngrx/store": "21.0.1",
    "@popperjs/core": "2.11.8",
    "angular-oauth2-oidc": "20.0.2",
    "assert": "2.1.0",
    "bootstrap": "5.3.8",
    "browserify-zlib": "^0.2.0",
    "buffer": "^6.0.3",
    "cesium": "^1.97.0",
    "core-js": "^2.6.12",
    "https-browserify": "^1.0.0",
    "moment": "^2.29.4",
    "ngrx-store-localstorage": "20.1.0",
    "ngx-avatars": "1.10.1",
    "ngx-clipboard": "^16.0.0",
    "ngx-image-cropper": "^7.0.0",
    "ngx-uploadx": "7.0.1",
    "ol": "^8.2.0",
    "olcs": "^2.13.1",
    "resumablejs": "^1.1.0",
    "rxjs": "^7.8.1",
    "stream": "^0.0.2",
    "stream-http": "^3.2.0",
    "tassign": "^1.0.0",
    "tslib": "^2.4.0",
    "url": "^0.11.0",
    "util": "^0.12.4",
    "zone.js": "~0.15.1"
  },
  "optionalDependencies": {
    "@lmdb/lmdb-linux-x64": "^3.1.0",
    "@rollup/rollup-linux-x64-gnu": "^4.21.2"
  },
  "devDependencies": {
    "@angular-builders/custom-webpack": "21.0.3",
    "@angular-devkit/build-angular": "21.1.0",
    "@angular/build": "21.1.0",
    "@angular/cli": "21.1.0",
    "@angular/compiler-cli": "21.1.0",
    "@angular/language-service": "21.1.0",
    "@angular/localize": "21.1.0",
    "@types/arcgis-rest-api": "^10.4.5",
    "@types/node": "^22.5.4",
    "@typescript-eslint/eslint-plugin": "8.53.1",
    "@typescript-eslint/parser": "8.53.1",
    "@vitest/browser": "4.0.17",
    "@vitest/browser-playwright": "^4.0.17",
    "eslint": "9.39.2",
    "eslint-config-prettier": "10.1.8",
    "eslint-plugin-import": "2.32.0",
    "jsdom": "^27.4.0",
    "ng-packagr": "21.1.0",
    "ts-node": "^8.8.1",
    "typescript": "~5.9.3",
    "vitest": "4.0.17"
  },
  "overrides": {
    "ngrx-store-localstorage": {
      "@angular/common": "$@angular/common",
      "@angular/core": "$@angular/core"
    },
    "ngx-avatars": {
      "@angular/common": "$@angular/common",
      "@angular/core": "$@angular/core"
    },
    "ngx-uploadx": {
      "@angular/common": "$@angular/common",
      "@angular/core": "$@angular/core"
    }
  }
}
